<?php

/* UTILITY FUNCTIONS */

function ew_emm_get_days_between( $fyear, $fmonth, $fday, $tyear, $tmonth, $tday ) { 
	return abs( ( mktime ( 0, 0, 0, $fmonth, $fday, $fyear ) - mktime ( 0, 0, 0, $tmonth, $tday, $tyear ) ) / ( 60*60*24 ) ); 
} 

function ew_emm_get_site_ids_for_user( $user, $user_level ) {
	$site_id_array = array();
	$user_blogs = get_blogs_of_user( $user );
	foreach ( $user_blogs as $user_blog ) {
		$site_id = $user_blog->userblog_id;
		$user_list = get_users( array( 'blog_id' => $site_id, 'role' => $user_level ) );
		foreach ( $user_list as $userInfo => $user_data ) {
			if ( $user == $user_data->ID ) {
				array_push( $site_id_array, $site_id );
			}
		}
	}
	return $site_id_array;
}

function ew_emm_subval_sort( $a, $subkey ) {
	$b = array();
	$c = array();
	foreach( $a as $k => $v ) {
		$b[$k] = $v[$subkey];
	}
	asort( $b );
	foreach( $b as $key => $val ) {
		$c[] = $a[$key];
	}
	return $c;
}

function ew_emm_translate_to_display_text( $text ) {
	$a = str_replace( '_', ' ', $text );
	return ucwords( $a );
}

?>